| Linduino 1.3.0 Linear Technology Arduino-Compatible Demonstration Board

Functions | Variables
DC1339A.ino File Reference
Analog-to-Digital Converters (ADC) » LTC2302: 12-Bit, 1-Channel 500ksps SAR ADC with SPI Interface.

Linear Technology DC1186A Demonstration Board. More...

## Detailed Description

Linear Technology DC1186A Demonstration Board.

LTC2302: 12-Bit, 1-Channel 500ksps SAR ADC with SPI Interface.

    NOTES
      Setup:
       Set the terminal baud rate to 115200 and select the newline terminator. No
       external power supply is required and it has an on-board reference voltage
       of 4.096V. The analog input is given at IN+ and IN-.

       There are options to chose between unipolar and bipolar modes.

    USER INPUT DATA FORMAT:
     decimal : 1024
     hex     : 0x400
     octal   : 02000  (leading 0 "zero")
     binary  : B10000000000
     float   : 1024.0

http://www.linear.com/product/LTC2302

http://www.linear.com/product/LTC2302#demoboards

Copyright 2018(c) Analog Devices, Inc.

All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

- Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
- Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
- Neither the name of Analog Devices, Inc. nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
- The use of this software may or may not infringe the patent rights of one or more patent holders. This license does not release you from the requirement that you obtain separate licenses from these patent holders to use this software.
- Use of the software either in source or binary form, must be run on or directly connected to an Analog Devices Inc. component.

THIS SOFTWARE IS PROVIDED BY ANALOG DEVICES "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL ANALOG DEVICES BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, INTELLECTUAL PROPERTY RIGHTS, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file DC1339A.ino.

Go to the source code of this file.

## Functions
static void | setup ()
| Initialize Linduino. More...
static void | loop ()
| Repeats Linduino loop. More...
static void | menu_1_read_input ()
| Read ADC code and display the measured voltage. More...
static void | menu_2_select_uni_bipolar ()
| Select unipolar (0-VREF) or bipolar (+/- 0.5 x VREF) mode. More...
static void | print_title ()
| Prints the title block when program first starts. More...
static void | print_prompt ()
| Prints main menu. More...

## Variables
static uint16_t | uni_bipolar = LTC2302_UNIPOLAR
| Default set for unipolar mode. More...
static float | LTC2302_vref = 4.096

## Function Documentation

## ◆ loop()

static void loop | ( | void |  | ) |
| static

Repeats Linduino loop.

Definition at line 95 of file DC1339A.ino.

## ◆ menu_1_read_input()

static void menu_1_read_input | ( |  | ) |
| static

Read ADC code and display the measured voltage.

Definition at line 123 of file DC1339A.ino.

## ◆ menu_2_select_uni_bipolar()

static void menu_2_select_uni_bipolar | ( |  | ) |
| static

Select unipolar (0-VREF) or bipolar (+/- 0.5 x VREF) mode.

Definition at line 138 of file DC1339A.ino.

## ◆ print_prompt()

static void print_prompt | ( |  | ) |
| static

Prints main menu.

Definition at line 182 of file DC1339A.ino.

## ◆ print_title()

static void print_title | ( | void |  | ) |
| static

Prints the title block when program first starts.

Definition at line 166 of file DC1339A.ino.

## ◆ setup()

static void setup | ( | void |  | ) |
| static

Initialize Linduino.

Definition at line 83 of file DC1339A.ino.

## Variable Documentation

## ◆ LTC2302_vref

float LTC2302_vref = 4.096
| static

Definition at line 80 of file DC1339A.ino.

## ◆ uni_bipolar

uint16_t uni_bipolar = LTC2302_UNIPOLAR
| static

Default set for unipolar mode.

Definition at line 79 of file DC1339A.ino.